# Interface AssertTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface AssertTree extends StatementTree
A tree node for an `assert` statement. For example:

       assert condition ;

       assert condition : detail ;

See Java Language Specification:
  14.10 The assert Statement
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getCondition()`
Returns the condition being asserted.
`ExpressionTree`
`getDetail()`
Returns the detail expression.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getCondition

ExpressionTree getCondition()
Returns the condition being asserted.

Returns:
  the condition

### getDetail

ExpressionTree getDetail()
Returns the detail expression.

Returns:
  the detail expression